Does PHP Manager support IIS 8.0 ?

Apr 6, 2013 at 4:50 AM
Does PHP Manager support IIS 8.0 ?
Jun 26, 2013 at 4:41 PM
Edited Jun 26, 2013 at 4:42 PM
I would continue to wait for an official reply, but recently I installed it on Windows 8 and Windows Server 2012 IIS 8 and it seems to work just fine setting up php.ini files and creating specific php.ini files for specific websites in an override.

Given, I am not using the PHP Manager to modify my web.config files (I do that manually). I just use PHP Manager to, well, manage php.ini files only.

I wonder why they removed it from the WPI (web Platform Installer)'s PHP 5.4.* packages. maybe there is an incompatibility.

If so, please list the issues in an "Known Issues" on the home page please!
Coordinator
Jun 26, 2013 at 4:53 PM
PHP Manager is supported on IIS 8.0. There is no incompatibility with PHP 5.4 as far as I know. I'll check with the Web PI team regarding including it as a dependency for PHP 5.4 installation.
Jun 26, 2013 at 6:11 PM
Edited Jun 26, 2013 at 6:11 PM
Thanks ruslany!

Yeah, it used to be part of the Web PI package as recent as January 1st 2013, when I setup my last MediaWiki site and installed PHP from Web PI onto a Windows Server 2008 R2 instance.

There has to be a reason it was removed.

Maybe the "Web PI team" can make it an additional Web PI package? That would work for us as well, if it shouldn't be part of the the normal PHP install.
Feb 9, 2014 at 7:14 AM
I downloaded Microsoft Web Platform Installer (Web PI) 4.6 and I tried to install PHP 5.5.8 and it supposedly was supposed to include PHP Manager 1.2, but PHP Manager 1.2 fails to install properly when using Web PI 4.6 on Windows Server 2012R2 with IIS 8.5.

See here: https://www.dropbox.com/s/ksi5o3qzkmibax2/PHPManagerForIIS-1.2.0-x64.txt

Any ideas as to how to get the Web PI distro fixed, and how to get PHP 5.5.8 and PHP Manager 1.2 to install properly using Web PI 4.6?

I was really hoping that the "Web PI team" would have a PHP 5.5.9 distro with PHP Manager 1.2 (working) that actually worked, but the older PHP 5.5.8 with PHP Manager 1.2 does not work properly and PHP Manager 1.2 does not install (installation fails) on Windows Server 2012R2 and IIS 8.5

Any plans to update PHP Manager 1.2 and get it working on Windows Server 2012R2 and IIS 8.5 with PHP 5.5.9 and PHP 5.5.8?
Feb 9, 2014 at 7:26 AM
ruslany wrote:
PHP Manager is supported on IIS 8.0. There is no incompatibility with PHP 5.4 as far as I know. I'll check with the Web PI team regarding including it as a dependency for PHP 5.4 installation.
PHP Manager doesn't seem to install/work with Windows Server 2012R2 and IIS 8.5 using Web PI 4.6 and the PHP 5.5.8 installer.

Can you please update PHP Manager 1.2 and get it to work on Windows Server 2012R2 and IIS 8.5 with PHP 5.5.9 and PHP 5.5.8 on Windows Server 2012R2 and IIS 8.5?

It seems to be a dependency when you install PHP 5.5.8, but the PHP Manager 1.2 installation seems to fail, and doesn't install on Windows Server 2012R2 and IIS 8.5.

See here: https://www.dropbox.com/s/ksi5o3qzkmibax2/PHPManagerForIIS-1.2.0-x64.txt

Can the "Web PI Team" fix the PHP 5.5.8 package so that the PHP Manager 1.2 installation works properly (and installs properly) on Windows Server 2012R2 and IIS 8.5?

Also can the "Web PI Team" release an updated/new PHP 5.5.9 package that includes PHP Manager 1.2 installation (and works/installs properly on Windows Server 2012R2 with IIS 8.5 and PHP 5.5.9 and PHP Manager 1.2? )
Coordinator
Feb 9, 2014 at 8:24 PM
I have started updating the PHP manager to work with .net 4.5. The actual binaries have been upgraded and the source code checked in, but the problem is with installer. VS.NET stopped supporting the type of installer that was used before, so I cannot patch it. A completely new installer has to be written. Let me know if anyone is willing to contribute to the project by writing a new installer (preferably by using WXS file (http://wixtoolset.org/) so that it does not depend on VS.NET).
Mar 27, 2014 at 10:37 PM
Hi, i have a problem with iis 8 and php.
On my website i have a lot of images with this path "\image\name.png", this image not load on front end but when i change path to ".\image\name.png" work properly.
The website work on other server and migrate to other server configured for me and show me the errors,
Please how can i correct this error on iis or php,ini ?
Dec 7, 2014 at 4:35 AM
any progress on this.
Jan 31, 2015 at 6:58 PM
When I try to install PHPManagerForIIS-1.2.0-x64.msi on Windows 8.1, it fails because it is looking for Net Framework 2.0, but I have 4.0 installed.
Do I need to install 2.0 also?
Jul 22, 2015 at 10:00 PM
Edited Jul 22, 2015 at 10:00 PM
For the Windows Server 2012R2 issue.

If you install .NET 3.5 it will also install 2.0 & 3.0 also.
The installation should then run fine.
Jul 22, 2015 at 11:32 PM
Dear DVELA1,

Thanks for the reply, but because it's been 6 months since I asked the question, I've already finished that project.

Peter

========================================================
On 7/22/2015 2:00 PM, dvela1 wrote:

From: dvela1

For the Windows Server 2012R2 issue.

If you install .NET 3.5 it will also install 2.0 & 3.0.
The installation should then run fine.